> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetokb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List redirections

> This API lists redirections, newest first. The domain redirection is included.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace's subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetokb.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/redirections.yaml GET /redirections
openapi: 3.0.3
info:
  title: NeetoKB Redirections API
  description: APIs to list, create, update and delete redirections.
  version: 1.0.0
servers:
  - description: NeetoKB API
    url: https://{your-subdomain}.neetokb.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /redirections:
    get:
      tags:
        - Redirections
      summary: List redirections
      description: >-
        This API lists redirections, newest first. The domain redirection is
        included.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: query
          name: search_term
          description: Case-insensitive match on `from_path` and `to_path`.
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/page_number_param'
        - $ref: '#/components/parameters/page_size_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  redirections:
                    type: array
                    items:
                      $ref: '#/components/schemas/redirection'
                  pagination:
                    $ref: '#/components/schemas/pagination'
        '401':
          $ref: '#/components/responses/unauthorized_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    page_number_param:
      in: query
      name: page_number
      description: >-
        Page of results to retrieve, starting from 1. Defaults to 1 when
        omitted.
      required: false
      schema:
        type: integer
    page_size_param:
      in: query
      name: page_size
      description: Number of results per page. Defaults to 30 when omitted.
      required: false
      schema:
        type: integer
  schemas:
    redirection:
      type: object
      properties:
        id:
          type: string
          format: uuid
        from_path:
          type: string
          example: /old-page
        to_path:
          type: string
          example: https://example.com/new-page
        redirection_type:
          type: string
          enum:
            - page
            - domain
        created_at:
          $ref: '#/components/schemas/date_time_field'
        updated_at:
          $ref: '#/components/schemas/date_time_field'
    pagination:
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        current_page_number:
          type: integer
        page_size:
          type: integer
    date_time_field:
      type: string
      format: date-time
  responses:
    unauthorized_response:
      description: Unauthorized - API key is missing or invalid

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.